<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-113"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FBase%2FCategory%2FNSString%2BABStr.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/NSString+ABStr.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_e594291297641f362044084ee3bd79c2.html">Base</a></li><li class="navelem"><a class="el" href="dir_7b3ff33937589b3dcfba70141486f64a.html">Category</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">NSString+ABStr.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_n_s_string_09_a_b_str_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="category_n_s_string_07_a_b_str_08.html#a12606ee380b8c7b2b9f58e6ed3d6d865">    1</a></span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  NSString+ABStr.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  PlayBgo</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by guohua on 2019/7/1.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2019 guohua. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_n_s_string_09_a_b_str_8h.html">NSString+ABStr.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="category_n_s_string_07_a_b_str_08.html">NSString (ABStr)</a></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;<span class="comment">//设置富文本的子文本颜色</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp;-(NSAttributedString *)xhx_ABStrSubColor:(nullable UIColor *)color subRange:(NSRange)range</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> <a class="code" href="category_n_s_string_07_a_b_str_08.html#a49c4e69e5366d73eea24c06acfd52093">xhx_ABStrSubColor</a>:color <a class="code" href="category_n_s_string_07_a_b_str_08.html#a49c4e69e5366d73eea24c06acfd52093">subFont</a>:nil <a class="code" href="category_n_s_string_07_a_b_str_08.html#a49c4e69e5366d73eea24c06acfd52093">subRange</a>:range];</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp;}</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp;<span class="comment">//设置富文本的子文本字体</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;-(NSAttributedString *)xhx_ABStrSubFont:(nullable UIFont *)font subRange:(NSRange)range</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp;{</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrSubColor:nil subFont:font subRange:range];</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;}</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp;<span class="comment">//设置富文本的子文本颜色和字体</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp;-(NSAttributedString *)xhx_ABStrSubColor:(nullable UIColor *)color subFont:(nullable UIFont *)font subRange:(NSRange)range</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp;{</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp;    NSString *str =[NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp;    NSMutableAttributedString *muAttStr = [[NSMutableAttributedString alloc]initWithString:str];</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp;    <span class="keywordflow">if</span> (color) {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp;        [muAttStr addAttribute:NSForegroundColorAttributeName value:color range:range];</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;    }</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;    <span class="keywordflow">if</span> (font) {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;        [muAttStr addAttribute:NSFontAttributeName value:font range:range];</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp;    }</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;    </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp;    <span class="keywordflow">return</span> muAttStr;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp;}</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&nbsp;<span class="comment">//设置富文本的文字间隔</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&nbsp;-(NSAttributedString *)xhx_ABStrTextSpace:(CGFloat)space</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&nbsp;{</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrTextSpace:space color:nil font:nil];</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&nbsp;}</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&nbsp;<span class="comment">//设置富文本的文字间隔、文本颜色</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp;-(NSAttributedString *)xhx_ABStrTextSpace:(CGFloat)space color:(nullable UIColor *)color</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp;{</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrTextSpace:space color:color font:nil];</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&nbsp;}</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&nbsp;<span class="comment">//设置富文本的文字间隔、文本字体</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&nbsp;-(NSAttributedString *)xhx_ABStrTextSpace:(CGFloat)space font:(nullable UIFont *)font</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&nbsp;{</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrTextSpace:space color:nil font:font];</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp;}</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&nbsp;<span class="comment">//设置富文本的文字间隔、文本颜色和字体</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&nbsp;-(NSAttributedString *)xhx_ABStrTextSpace:(CGFloat)space color:(nullable UIColor *)color font:(nullable UIFont *)font</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&nbsp;{</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&nbsp;    NSString *str =[NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&nbsp;    NSMutableAttributedString *muAttStr = [[NSMutableAttributedString alloc]initWithString:str];</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&nbsp;    NSRange range = NSMakeRange(0, str.length);</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;    [muAttStr addAttribute:NSKernAttributeName value:@(space) range:range];</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp;    <span class="keywordflow">if</span> (color) {</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp;        [muAttStr addAttribute:NSForegroundColorAttributeName value:color range:range];</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp;    }</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&nbsp;    <span class="keywordflow">if</span> (font) {</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&nbsp;        [muAttStr addAttribute:NSFontAttributeName value:font range:range];</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&nbsp;    }</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&nbsp;    <span class="keywordflow">return</span> muAttStr;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&nbsp;}</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&nbsp;<span class="comment">//设置富文本的文字间隔、子文本颜色</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&nbsp;-(NSAttributedString *)xhx_ABStrTextSpace:(CGFloat)space subColor:(nullable UIColor *)color subRange:(NSRange)range</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp;{</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrTextSpace:space subColor:color subFont:nil subRange:range];</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&nbsp;}</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&nbsp;<span class="comment">//设置富文本的文字间隔、子文本字体</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&nbsp;-(NSAttributedString *)xhx_ABStrTextSpace:(CGFloat)space subFont:(nullable UIFont *)font subRange:(NSRange)range</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&nbsp;{</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrTextSpace:space subColor:nil subFont:font subRange:range];</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&nbsp;}</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&nbsp;<span class="comment">//设置富文本的文字间隔、子文本颜色和字体</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&nbsp;-(NSAttributedString *)xhx_ABStrTextSpace:(CGFloat)space subColor:(nullable UIColor *)color subFont:(nullable UIFont *)font subRange:(NSRange)range</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&nbsp;{</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&nbsp;    NSString *str =[NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&nbsp;    NSMutableAttributedString *muAttStr = [[NSMutableAttributedString alloc]initWithString:str];</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&nbsp;    NSRange strRange = NSMakeRange(0, str.length);</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&nbsp;    [muAttStr addAttribute:NSKernAttributeName value:@(space) range:strRange];</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&nbsp;    <span class="keywordflow">if</span> (color) {</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&nbsp;        [muAttStr addAttribute:NSForegroundColorAttributeName value:color range:range];</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&nbsp;    }</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&nbsp;    <span class="keywordflow">if</span> (font) {</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&nbsp;        [muAttStr addAttribute:NSFontAttributeName value:font range:range];</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&nbsp;    }</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&nbsp;    <span class="keywordflow">return</span> muAttStr;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&nbsp;}</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&nbsp; </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&nbsp;<span class="comment">//设置富文本的行间隔</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&nbsp;-(NSAttributedString *)xhx_ABStrLineSpace:(CGFloat)lineSpace</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&nbsp;{</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrLineSpace:lineSpace color:nil font:nil];</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&nbsp;}</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&nbsp;<span class="comment">//设置富文本的行间隔、文本颜色</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&nbsp;-(NSAttributedString *)xhx_ABStrLineSpace:(CGFloat)lineSpace color:(nullable UIColor *)color</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&nbsp;{</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrLineSpace:lineSpace color:color font:nil];</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&nbsp;}</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&nbsp;<span class="comment">//设置富文本的行间隔、文本字体</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&nbsp;-(NSAttributedString *)xhx_ABStrLineSpace:(CGFloat)lineSpace font:(nullable UIFont *)font</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&nbsp;{</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrLineSpace:lineSpace color:nil font:font];</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&nbsp;}</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&nbsp;<span class="comment">//设置富文本的行间隔、文本颜色和字体</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&nbsp;-(NSAttributedString *)xhx_ABStrLineSpace:(CGFloat)lineSpace color:(nullable UIColor *)color font:(nullable UIFont *)font</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&nbsp;{</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&nbsp;    NSString *str =[NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&nbsp;    NSMutableAttributedString *muAttStr = [[NSMutableAttributedString alloc]initWithString:str];</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&nbsp;    NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&nbsp;    paragraphStyle.lineSpacing = lineSpace;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&nbsp;    </div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&nbsp;    NSRange range = NSMakeRange(0, str.length);</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&nbsp;    [muAttStr addAttribute:NSParagraphStyleAttributeName value:paragraphStyle range:range];</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&nbsp;    <span class="keywordflow">if</span> (color) {</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&nbsp;        [muAttStr addAttribute:NSForegroundColorAttributeName value:color range:range];</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&nbsp;    }</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&nbsp;    <span class="keywordflow">if</span> (font) {</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&nbsp;        [muAttStr addAttribute:NSFontAttributeName value:font range:range];</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&nbsp;    }</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&nbsp;    <span class="keywordflow">return</span> muAttStr;</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&nbsp;}</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&nbsp; </div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&nbsp; </div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&nbsp; </div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&nbsp;<span class="comment">//设置富文本的行间隔、子文本颜色</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&nbsp;-(NSAttributedString *)xhx_ABStrLineSpace:(CGFloat)lineSpace subColor:(nullable UIColor *)color subRange:(NSRange)range</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&nbsp;{</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrLineSpace:lineSpace subColor:color subFont:nil subRange:range];</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&nbsp;}</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&nbsp;<span class="comment">//设置富文本的行间隔、子文本字体</span></div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&nbsp;-(NSAttributedString *)xhx_ABStrLineSpace:(CGFloat)lineSpace subFont:(nullable UIFont *)font subRange:(NSRange)range</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&nbsp;{</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&nbsp;    NSAttributedString *attStr = [<span class="keyword">self</span> xhx_ABStrLineSpace:lineSpace subColor:nil subFont:font subRange:range];</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&nbsp;    <span class="keywordflow">return</span> attStr;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&nbsp;}</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&nbsp;<span class="comment">//设置富文本的行间隔、子文本颜色和字体</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&nbsp;-(NSAttributedString *)xhx_ABStrLineSpace:(CGFloat)lineSpace subColor:(nullable UIColor *)color subFont:(nullable UIFont *)font subRange:(NSRange)range</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&nbsp;{</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&nbsp;    NSString *str =[NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&nbsp;    NSMutableAttributedString *muAttStr = [[NSMutableAttributedString alloc]initWithString:str];</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&nbsp;    NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&nbsp;    paragraphStyle.lineSpacing = lineSpace;</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&nbsp;    </div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&nbsp;    NSRange strRange = NSMakeRange(0, str.length);</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&nbsp;    [muAttStr addAttribute:NSParagraphStyleAttributeName value:paragraphStyle range:strRange];</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&nbsp;    <span class="keywordflow">if</span> (color) {</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&nbsp;        [muAttStr addAttribute:NSForegroundColorAttributeName value:color range:range];</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&nbsp;    }</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&nbsp;    <span class="keywordflow">if</span> (font) {</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&nbsp;        [muAttStr addAttribute:NSFontAttributeName value:font range:range];</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&nbsp;    }</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&nbsp;    <span class="keywordflow">return</span> muAttStr;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&nbsp;}</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&nbsp; </div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&nbsp; </div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&nbsp;- (NSAttributedString *)xhx_ABStrSpacing:(CGFloat)lineSpacing font:(UIFont *)font aligment:(NSTextAlignment)alignment</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&nbsp;{</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&nbsp;    NSString *str = [NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&nbsp;    NSMutableAttributedString *ABStr = [[NSMutableAttributedString alloc] initWithString:str];</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&nbsp;    </div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&nbsp;    NSRange range = NSMakeRange(0, str.length);</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&nbsp;    NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&nbsp;    paragraphStyle.lineSpacing = lineSpacing;</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&nbsp;    paragraphStyle.alignment=alignment;</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&nbsp;    [ABStr addAttribute:NSParagraphStyleAttributeName value:paragraphStyle range:range];</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&nbsp;    [ABStr addAttribute:NSFontAttributeName value:font range:range];</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&nbsp;    <span class="keywordflow">return</span> ABStr;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&nbsp;}</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&nbsp; </div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&nbsp; </div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&nbsp;<span class="comment">//删除线</span></div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&nbsp;- (NSAttributedString *)<a class="code" href="category_n_s_string_07_a_b_str_08.html#ab23a663cf070f0dfaea8a9c6e9ab50e4">xhx_ABStrStrikethrough</a> {</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&nbsp;    NSString *str = [NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&nbsp;    NSMutableAttributedString *ABStr = [[NSMutableAttributedString alloc]initWithString:str];</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&nbsp;    NSRange range = NSMakeRange(0, str.length);</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&nbsp;    [ABStr setAttributes:@{</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&nbsp;                           NSStrikethroughStyleAttributeName:@(NSUnderlineStyleSingle)</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&nbsp;                           }</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&nbsp;                   range:range];</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&nbsp;    <span class="keywordflow">return</span> ABStr;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&nbsp;}</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&nbsp;- (NSAttributedString *)xhx_ABStrStrikethroughWithFont:(UIFont *)font color:(UIColor *)color {</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&nbsp;    NSString *str = [NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&nbsp;    NSMutableAttributedString *ABStr = [[NSMutableAttributedString alloc]initWithString:str];</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&nbsp;    NSRange range = NSMakeRange(0, str.length);</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&nbsp;    [ABStr setAttributes:@{</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&nbsp;                           NSStrikethroughStyleAttributeName:@(NSUnderlineStyleSingle),</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&nbsp;                           NSFontAttributeName:font,</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&nbsp;                           NSForegroundColorAttributeName:color}</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&nbsp;                   range:range];</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&nbsp;    <span class="keywordflow">return</span> ABStr;</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&nbsp;}</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&nbsp;<span class="comment">//下划线</span></div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&nbsp;- (NSAttributedString *)xhx_ABStrUnderlineSpacing:(CGFloat)lineSpacing</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&nbsp;{</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&nbsp;    NSString *str = [NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&nbsp;    NSRange range = NSMakeRange(0, str.length);</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&nbsp;    NSMutableAttributedString *ABStr = [[NSMutableAttributedString alloc] initWithString:str];</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&nbsp;    NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&nbsp;    paragraphStyle.lineSpacing = lineSpacing;</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&nbsp;    </div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&nbsp;    NSDictionary *dict = @{</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&nbsp;                           NSParagraphStyleAttributeName:paragraphStyle,</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&nbsp;                           NSUnderlineStyleAttributeName:@(NSUnderlineStyleSingle),</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&nbsp;                           };</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&nbsp;    [ABStr setAttributes:dict range:range];</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&nbsp;    <span class="keywordflow">return</span> ABStr;</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&nbsp;}</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&nbsp; </div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&nbsp; </div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&nbsp;- (NSAttributedString *)xhx_ABStrUnderlineSpacing:(CGFloat)lineSpacing font:(UIFont *)font color:(UIColor *)color {</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&nbsp;    NSString *str = [NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&nbsp;    NSRange range = NSMakeRange(0, str.length);</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&nbsp;    NSMutableAttributedString *ABStr = [[NSMutableAttributedString alloc] initWithString:str];</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&nbsp;    NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&nbsp;    paragraphStyle.lineSpacing = lineSpacing;</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&nbsp;    </div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&nbsp;    NSDictionary *dict = @{</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&nbsp;                           NSParagraphStyleAttributeName:paragraphStyle,</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&nbsp;                           NSFontAttributeName:font,</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&nbsp;                           NSUnderlineStyleAttributeName:@(NSUnderlineStyleSingle),</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&nbsp;                           NSForegroundColorAttributeName:color</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&nbsp;                           };</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&nbsp;    [ABStr setAttributes:dict range:range];</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&nbsp;    <span class="keywordflow">return</span> ABStr;</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&nbsp;}</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&nbsp;- (NSAttributedString *)xhx_ABStrUnderlineSpacing:(CGFloat)lineSpacing SubStr:(NSString *)subStr color:(UIColor *)color{</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&nbsp;    NSString *str = [NSString stringWithFormat:@&#34;%@&#34;,self];</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&nbsp;    NSRange range = [str rangeOfString:subStr];</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&nbsp;    NSMutableAttributedString *ABStr = [[NSMutableAttributedString alloc] initWithString:str];</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&nbsp;    NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&nbsp;    paragraphStyle.lineSpacing = lineSpacing;</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&nbsp;    </div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&nbsp;    NSDictionary *dict = @{</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&nbsp;                           NSParagraphStyleAttributeName:paragraphStyle,</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&nbsp;                           NSUnderlineStyleAttributeName:@(NSUnderlineStyleSingle),</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&nbsp;                           NSForegroundColorAttributeName:color</div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&nbsp;                           };</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&nbsp;    [ABStr setAttributes:dict range:range];</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&nbsp;    <span class="keywordflow">return</span> ABStr;</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&nbsp;}</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&nbsp; </div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="acategory_n_s_string_07_a_b_str_08_html"><div class="ttname"><a href="category_n_s_string_07_a_b_str_08.html">NSString(ABStr)</a></div><div class="ttdef"><b>Definition:</b> <a href="_n_s_string_09_a_b_str_8h_source.html#l00013">NSString+ABStr.h:13</a></div></div>
<div class="ttc" id="a_n_s_string_09_a_b_str_8h_html"><div class="ttname"><a href="_n_s_string_09_a_b_str_8h.html">NSString+ABStr.h</a></div></div>
<div class="ttc" id="acategory_n_s_string_07_a_b_str_08_html_ab23a663cf070f0dfaea8a9c6e9ab50e4"><div class="ttname"><a href="category_n_s_string_07_a_b_str_08.html#ab23a663cf070f0dfaea8a9c6e9ab50e4">-[NSString(ABStr) xhx_ABStrStrikethrough]</a></div><div class="ttdeci">NSAttributedString * xhx_ABStrStrikethrough()</div><div class="ttdef"><b>Definition:</b> <a href="_n_s_string_09_a_b_str_8m_source.html#l00001">NSString+ABStr.m:188</a></div></div>
<div class="ttc" id="acategory_n_s_string_07_a_b_str_08_html_a49c4e69e5366d73eea24c06acfd52093"><div class="ttname"><a href="category_n_s_string_07_a_b_str_08.html#a49c4e69e5366d73eea24c06acfd52093">-[NSString(ABStr) xhx_ABStrSubColor:subFont:subRange:]</a></div><div class="ttdeci">NSAttributedString * xhx_ABStrSubColor:subFont:subRange:(nullable UIColor *color,[subFont] nullable UIFont *font,[subRange] NSRange range)</div><div class="ttdef"><b>Definition:</b> <a href="_n_s_string_09_a_b_str_8m_source.html#l00001">NSString+ABStr.m:26</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>